Subject: Re: [PATCH] setup: recognize bare repositories with packed-refs

From: Taylor Blau <[email-masked]>
Date: Wed, 29 Nov 2023 16:30:46 -0500

On Tue, Nov 28, 2023 at 02:04:46PM -0500, Jeff King wrote:
>   - whatever is consuming the embedded repos could "mkdir -p refs
>     objects" as needed. This is a minor pain, but I think in the long
>     term we are moving to a world where you have to explicitly do
>     "GIT_DIR=$PWD/embedded.git" to access an embedded bare repo. So
>     they're already special and require some setup; adding an extra step
>     may not be so bad.

I hope not. I suppose that using embedded bare repositories in a test
requires additional setup at least to "cd" into the directory (if they
are not using `$GIT_DIR` or `--git-dir` already). But I fear that
imposing even a small change like this is too tall an order for how many
millions of these exist in the wild across all sorts of projects.

Thanks,
Taylor